function [x,d] = cert_Jlow(alpha,beta,Jlow,V)
% for k = 1:length(V)
%     temp = extreme(Jlow.R(k));
%     for j = 1:length(temp)
%         x = sdpvar(length(Jlow.C{1}),1);
%         eps = sdpvar(1,1);
%      
%         obj = eps - (Jlow.C{k}'*x + Jlow.D{k});
% 
%         F = [];
%         F = F + [x >= min(temp(j,:))];
%         F = F + [x <= max(temp(j,:))];
%         for i = 1:length(alpha)
%             F = F + [eps >= alpha(:,i)'*x + beta(i)];
%         end
% %         F = F + [eps >= alpha'*x + beta'];
%         
%         info = solvesdp(F,obj);
%         if info.problem ~= 0
%             error('Problem is unsolvable !!!')
%         end
%         
%         x = double(x); d = double(obj);
%         if d < -1e-6, break; end
%     end
% end
% 
% if d >= -1e-6
%     disp(sprintf('cert_Jlow: Alpha and beta were certificated !!!'))
% else
%     disp('cert_Jlow: Alpha and beta were not certificated !!!')
%     disp(sprintf('           In point x = %d is difference = %d.',x,d))
% end
%%
nx = size(alpha,1);
for k = 1:length(V)
    x = sdpvar(nx,1);
    eps = sdpvar(1,1);
    
    obj = eps - (Jlow.C{k}'*x + Jlow.D{k});
    
    F = [];
    F = F + [ismember(x, Jlow.R(k))];
    for i = 1:length(alpha)
        F = F + [eps >= alpha(:,i)'*x + beta(i)];
    end

    info = solvesdp(F,obj);
    if info.problem ~= 0, error('Problem is unsolvable !!!'),end

    x = double(x); d = double(obj);
    if d < -1e-6, break; end
end

if d >= -1e-6
    disp(sprintf('cert_Jlow: Alpha and beta were certificated !!!'))
else
    disp('cert_Jlow: Alpha and beta were not certificated !!!')
    disp(sprintf('           In point x = %d is difference = %d.',x,d))
end