% Vu -> cell of the optimum inputs in all vertices
function [Vu] = get_Vu(VV,sysStruct,probStruct)
% objective function and constraints
if probStruct.norm == inf
    [Vu] = norminf(VV,sysStruct,probStruct); 
elseif probStruct.norm == 1
    [Vu] = norm1(VV,sysStruct,probStruct);
else
    fprintf('!!! Norm "%d" is not allowed !!!\n',probStruct.norm);
end