function fs = get_pwa_max(a, b, X)

nx = dimension(X);
J = sdpvar(1, 1);
x = sdpvar(nx, 1);
F = [ J <= 1e4; ismember(x, X) ];
for k = 1:size(a, 2)
    F = F + [ J >= a(:, k)'*x + b(k) ];
end
sol = solvemp(F, J, sdpsettings, x, J);
fpwa = mpt_mpsol2ctrl(sol, 1);
R = fpwa.Pn;
C = fpwa.Bi; for i = 1:length(C), C{i} = C{i}'; end
D = fpwa.Ci;

fs.R = R;
fs.C = C;
fs.D = D;
