function [time,u] = get_time_m1(alpha,beta,VV,VU,x)
tic,
for i = 1: length(VV)
    Fvalue(i) = x'*alpha{i} + beta{i};
end
MaxF = max(Fvalue);  % maximal function value
Ri = find(Fvalue == MaxF); % index of region
u = VU{Ri}'*[x;1]; % action input
time = toc;