close all
clear all
clc
tic;
%%
x = [-5 -4 -3 -2 -1 0 1 2 3 4 5];
y = [15 11 8 5 2.2 0 2.2 5 8 11 15];

% x = [-5 -4 -3 -2 -1 0 1 2 3 4 5; ...
%     -5 -4 -3 -2 -1 0 1 2 3 4 5];
% y = [15 11 8 5 2.2 0 2.2 5 8 11 15];

[alpha,beta] = Points_into_PWA(x,y);
%%
nx = size(x,1);

% if nx == 1, plot_1D_PWA(alpha, beta, x,y),end

x_max = zeros(1,nx);
x_min = zeros(1,nx);
for i = 1:size(x,1)
    x_max(i) = max(x(i,:));
    x_min(i) = min(x(i,:));
end
X = polytope([eye(nx);-eye(nx)],[x_max'; -x_min']);

% obtain the explicit representation of f(x) as
%   f(x) = c_j*x+d_j if x \in P_j
f = get_explicit_pwa_max(alpha', beta', X);
toc;
plot_pwa(f);
grid on
hold off